Package twisted :: Package im :: Module tocsupport :: Class TOCPerson

[show private | hide private]
[frames | no frames]

## Class TOCPerson

    AbstractPerson --+
                     |
                    TOCPerson

Method Summary
| `__init__(self, name, baseAccount)` (inherited from `AbstractPerson`)
| `__repr__(self)` (inherited from `AbstractPerson`)
| `__str__(self)` (inherited from `AbstractPerson`)
| ``getIdleTime`(self)` Returns a string.
| ``getPersonCommands`(self)` finds person commands (inherited from `AbstractPerson`)
| `getStatus(self)`
| `isOnline(self)`
| `sendMessage(self, text, meta)`
| `setStatusAndIdle(self, status, idletime)`

Method Details

### getIdleTime(self)

Returns a string.

  Overrides:
    `twisted.im.basesupport.AbstractPerson.getIdleTime` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:18:23 2003 | http://epydoc.sf.net